package weather;

import java.util.*;

/**
 * A collection of TemperatureTable objects.
 * 
 * @author Prof. David Bernstein, James Madison University
 */
public class TemperatureDatabase extends HashMap<String, TemperatureTable>
{
  private static final long serialVersionUID = 1L;

  private String name;

  /**
   * Explicit Value Constructor.
   * 
   * @param name  The name of the database.
   */
  public TemperatureDatabase(String name)
  {
    this.name = name;
  }
  
  /**
   * Get the name of this TemperatureDatabase.
   * 
   * @return The name.
   */
  public String getName()
  {
    return name;
  }
  
}
